# Uses of Interface
org.opensaml.xmlsec.signature.J

Packages that use J
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of J in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return J
Modifier and Type
Method
Description
`J`
DSAKeyValue.`getJ()`
Get the J child element.
Methods in org.opensaml.xmlsec.signature with parameters of type J
Modifier and Type
Method
Description
`void`
DSAKeyValue.`setJ(J newJ)`
Set the J child element.

## Uses of J in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement J
Modifier and Type
Class
Description
`class`
`JImpl`
Concrete implementation of `J`.
Fields in org.opensaml.xmlsec.signature.impl declared as J
Modifier and Type
Field
Description
`private J`
DSAKeyValueImpl.`j`
J child element.
Methods in org.opensaml.xmlsec.signature.impl that return J
Modifier and Type
Method
Description
`J`
JBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`J`
JBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`J`
DSAKeyValueImpl.`getJ()`
Get the J child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type J
Modifier and Type
Method
Description
`void`
DSAKeyValueImpl.`setJ(J newJ)`
Set the J child element.